ECHO OFF
CLS
ECHO      Hard drive installation program for PC-LEARN
ECHO   --------------------------------------------------------
ECHO Author can provide floppy version of PC-LEARN.
ECHO Contact PO Box 1506, Mercer Island, WA 98040
ECHO Press  C  to continue installing PC-LEARN to a hard drive.
ECHO Press  Q  to quit or abort process
ECHO   --------------------------------------------------------
ask  Press a key for selection:
IF ERRORLEVEL 81 GOTO abort
IF ERRORLEVEL 67 GOTO LABELC
:LABELC
CLS
ECHO ---------    Hard Drive C: install -----------------------------
ECHO This hard drive installation program will prepare a subdirectory
ECHO named C:\PCL on your hard drive then install all files to that 
ECHO area. Installation program assumes drive A: contains files to
ECHO be unpacked and is the SOURCE DRIVE. Hard drive C: will be the
ECHO TARGET drive to which files will be unpacked. 
echo ---------------------------------------------------------------
echo If you DO NOT wish to install to C: but prefer another 
echo hard drive letter, select quit option and then refer to 
echo LHARC help screen for alternate unpacking command structure. 
echo After quitting, type    LHARC   at DOS prompt for LHARC help. 
echo ----------------------------------------------------------------
echo If you have an old copy of PC-LEARN data on your hard drive
echo which is important to you, you may wish to quit/abort
echo and backup that old copy for archival purposes. Otherwise,
echo please continue . . .
echo ----------------------------------------------------------------
echo press  C  to continue
echo press  Q  to quit
ask  Press a key for selection: 
cls
IF ERRORLEVEL 81 GOTO ABORT
C:
CD\
MD PCL
ECHO If a previous older version of the PC-LEARN package is already
ECHO installed, answer yes to all prompts to overwrite old files 
ECHO with the newer PC-LEARN data files.
A:
lharc x a:PCL.lzh c:\pcl\
CLS
echo ------------------------------------------------------------
ECHO            Installation is now complete
echo You might want to write the following for future reference:
echo To start PC-LEARN at a future time, you need to first
echo change into the PC-LEARN subdirectory  CD\PCL (then hit enter)
echo then issue the startup command         PCL    (then hit enter)
echo ------------------------------------------------------------
echo Press  C  to continue and run the PC-LEARN program.
echo Press  Q  to quit and run later.  
echo ------------------------------------------------------------
ask  Press a key for selection
if errorlevel 81 goto quit
if errorlevel 67 goto run
:run
c:
cd\
cd PCL
PCL
GOTO QUIT
:QUIT
CLS
ECHO            Installation of PC-LEARN program now complete.
ECHO   Be sure to register or subscribe - support the shareware concept!
ECHO   See the file REGISTER.TXT within the main program for details . . .
GOTO END
:ABORT
cls
ECHO   Installation process aborted
:END
